Bug 1129929 - How to reset admin password if the user lost it.
Summary: How to reset admin password if the user lost it.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 2.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.0.0
Assignee: RHUI Bug List
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 02:47 UTC by Yoshinori Takahashi
Modified: 2018-12-06 17:45 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The default password can be found in
Clone Of:
Environment:
Last Closed: 2017-09-06 15:53:39 UTC


Attachments (Terms of Use)

Comment 3 Patrick Creech 2016-03-30 14:47:30 UTC
fixing version

Comment 5 Michael Hrivnak 2016-08-05 20:11:03 UTC
We don't have a good process right now. The only option is to restore that user's record from a backup, or overwrite it with the user record from a new fresh install.

I'm linking the upstream issue. We will almost certainly get this feature for free with pulp 3.0's new user/auth system.

Comment 6 Patrick Creech 2016-11-15 15:28:18 UTC
Requesting backlog, as pulp currently doesn't have the ability to reset password.

IF a user has forgotten the password, it can be reset by doing a database query to set it to a known hashed value from another pulp instance.

Comment 10 pulp-infra@redhat.com 2016-11-21 18:56:57 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2016-11-21 18:57:01 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 12 Radek Bíba 2016-11-22 13:08:56 UTC
Patrick:

Would it alternatively be a good idea to delete the 'users' table? Here's what works for me:

mongo pulp_database --eval 'db.users.remove({})'
sudo -u apache pulp-manage-db # or another command? Please advise!

Then get the default password from the answers file:

awk '/rhui_manager_password:/ {print $2}' /etc/rhui-installer/answers.yaml

Finally, I'm able to launch rhui-manager with 'admin' / the default password.

Comment 18 Bryan Kearney 2017-09-06 15:53:39 UTC
The docs have been updated, you will see this in the next release.


Note You need to log in before you can comment on or make changes to this bug.